import { React, useState } from "react";
function Seller_reg() {
  return (
    <div className="">
      <div className="flex flex-col items-center h-screen bg-[#E9FAFF] px-6 py-4 font-montserrat ">
        <h1 className="text-4xl font-font-primary font-bold text-[#030A1E] mb-6 text-left w-full max-w-[90%]">
          OMPOI-Seller
        </h1>
        <div className="bg-[#FFFFFF] p-6 rounded-[32.6px] shadow-lg w-[90%] h-[85%] flex flex-col md:flex-row py-[-12%]  ">
          {/* Left Section */}
          <div className="w-full md:w-1/2">
            <h2 className="text-lg font-semibold m-1">
              Enter Your Company Details
            </h2>
            <label className="text-[#030A1E] top-4 p-[0.5px] left-8  relative bg-white">
              Company Name
            </label>
            <input
              type="text"
              className="w-[80%] focus:outline-none text-[#C4CFDE] border-2 m-1 rounded-[12px] font-semibold text-[15px] p-3 border-[#C4CFDE]"
              placeholder="ABCD Enterprises Pvt. Ltd./"
            />
            <label className="top-4 text-[#030A1E] p-[0.5px] left-8  relative bg-white">
              GST Numbwer
            </label>
            <input
              type="text"
              className="w-[80%] focus:outline-none text-[#C4CFDE] border-2 m-1 rounded-[12px] font-semibold text-[15px] p-3 border-[#C4CFDE]"
              placeholder="GST Number"
            />
            <label className="top-4 text-[#030A1E] p-[0.5px] left-8  relative bg-white">
              Owner Name
            </label>
            <input
              type="text"
              className="p-2 w-full focus:outline-none text-[#C4CFDE] border-2 m-1 rounded-[12px] border-[#C4CFDE]"
              placeholder="Owner Name"
            />
            <div className="flex flex-col md:flex-row   mt-3 ml-3 mr-3 gap-5 md:gap-40">
              <span className="text-[#030A1E] ">Category</span>
              <span className="text-[#030A1E] ">Type of Seller</span>
            </div>
            <div className="flex flex-col md:flex-row   mt-3 ml-3 mr-3 gap-4">
              <select className="w-full focus:outline-none border-[#C4CFDE] text-[#C4CFDE] border-2 m-1 p-2 rounded-[12px] ">
                <option value="" disabled hidden>
                  Select Category
                </option>
                <option value="item1" className="text-[#030A1E] ">
                  items1
                </option>
                <option value="item2" className="text-[#030A1E] ">
                  items2
                </option>
                <option value="item3" className="text-[#030A1E] ">
                  items3
                </option>
                <option value="item4" className="text-[#030A1E] ">
                  items4
                </option>
              </select>
              <select className="w-full focus:outline-none border-[#C4CFDE] text-[#C4CFDE] border-2 m-1 p-2 rounded-[12px]">
                <option value="" disabled hidden>
                  Select Type
                </option>
                <option value="items1" className="text-[#030A1E] ">
                  items1
                </option>
                <option value="items2" className="text-[#030A1E] ">
                  items2
                </option>
                <option value="items3" className="text-[#030A1E] ">
                  items3
                </option>
                <option value="items4" className="text-[#030A1E] ">
                  items4
                </option>
              </select>
            </div>
            <div className="mt-[-10px]">
              <label className="top-9 text-[#030A1E] p-[0.5px] left-8  relative bg-white">
                Alternative Number
              </label>
              <div className="relative inset-y-0 left-0 top-[35px] pl-3 flex items-center pointer-events-none">
                <span className="text-[#030A1E] sm:text-sm">+91</span>
              </div>
              <input
                type="text"
                className="p-2 w-full focus:outline-none text-[#C4CFDE] border-2 m-1 rounded-[12px] border-[#C4CFDE]"
                placeholder=" &nbsp;&nbsp;&nbsp;&nbsp; 1234567876"
              />
              <label className="top-4 text-[#030A1E] p-[0.5px] left-8  relative bg-white">
                Email
              </label>
              <input
                type="text"
                className="p-2 w-full focus:outline-none text-[#C4CFDE] border-2 m-1 rounded-[12px] border-[#C4CFDE]"
                placeholder="jhon@abcd.com"
              />
            </div>
          </div>

          {/* Middle Separator */}
          <div className="hidden md:block w-px bg-gray-300"></div>

          {/* Right Section */}
          <div className="w-full md:w-1/2">
            <h2 className="text-lg font-semibold">Billing Details</h2>
            <label className="top-4 text-[#030A1E] p-[0.5px] left-8  relative bg-white">
              Address
            </label>
            <input
              type="text"
              className="p-8 w-full focus:outline-none text-[#C4CFDE] border-2 m-1 rounded-[12px] border-[#C4CFDE]"
              placeholder="Address"
            />
            <div className="flex flex-col md:flex-row  mt-3 ml-3 mr-3 gap-40">
              <span className="text-[#030A1E] ">Location</span>
              <label className="top-7 text-[#030A1E] p-[0.5px] left-8  relative bg-white">
                Password
              </label>
            </div>
            <div className="flex flex-col md:flex-row justify-between mt-3 mb-3 gap-6">
              <select className="w-full focus:outline-none border-[#C4CFDE] text-[#C4CFDE] border-2 m-1 p-2 rounded-[12px]">
                <option value="" disabled hidden>
                  Select Type
                </option>
                <option value="items1" className="text-[#030A1E] ">
                  items1
                </option>
                <option value="items2" className="text-[#030A1E] ">
                  items2
                </option>
                <option value="items3" className="text-[#030A1E] ">
                  items3
                </option>
                <option value="items4" className="text-[#030A1E] ">
                  items4
                </option>
              </select>
              <input
                className="p-2 w-full focus:outline-none text-[#C4CFDE] border-2 m-1 rounded-[12px] border-[#C4CFDE]"
                type="text"
                placeholder=""
              />
            </div>
            <h2 className="text-lg font-semibold mt-4">Bank Details</h2>
            <div className="flex flex-col md:flex-row  mt-3 ml-3 mr-3 gap-40">
              <label className="top-7 text-[#030A1E] p-[0.5px] left-6  relative bg-white">
                Bank Name
              </label>
              <label className="top-7 text-[#030A1E] p-[0.5px] left-6  relative bg-white">
                IFSC Code
              </label>
            </div>
            <div className="flex flex-col md:flex-row justify-between mt-3 mb-3 gap-6">
              <input
                type="text"
                className="p-2 w-full focus:outline-none text-[#C4CFDE] border-2 m-1 rounded-[12px] border-[#C4CFDE]"
                placeholder="Union Bank"
              />

              <input
                type="text"
                className="p-2 w-full focus:outline-none text-[#C4CFDE] border-2 m-1 rounded-[12px] border-[#C4CFDE]"
                placeholder="Union Bank"
              />
            </div>
            <input className="input" placeholder="Account Number" />
            <div className="border-dashed border-2 border-gray-300 p-4 text-center mt-4">
              <input type="file" className="hidden" />
              Drag your file(s) or{" "}
              <span className="text-blue-500 cursor-pointer">browse</span>
            </div>
            <button className="bg-[#fdba74] text-white w-full py-2  mt-4 rounded-[30px]">
              Register Now
            </button>
          </div>
        </div>
      </div>
      
    </div>
  );
}

export default Seller_reg;
